purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.CoreFn.Module

Synopsis

- data Module a = Module {
  - moduleSourceSpan :: SourceSpan
  - moduleComments :: [Comment]
  - moduleName :: ModuleName
  - modulePath :: FilePath
  - moduleImports :: [(a, ModuleName)]
  - moduleExports :: [Ident]
  - moduleReExports :: Map ModuleName [Ident]
  - moduleForeign :: [Ident]
  - moduleDecls :: [Bind a]
  }

# Documentation

data Module a #

The CoreFn module representation

Constructors

Module |
Fields moduleSourceSpan :: SourceSpan moduleComments :: [Comment] moduleName :: ModuleName modulePath :: FilePath moduleImports :: [(a, ModuleName)] moduleExports :: [Ident] moduleReExports :: Map ModuleName [Ident] moduleForeign :: [Ident] moduleDecls :: [Bind a]

#### Instances

Instances details

Functor Module # |
Instance details Defined in Language.PureScript.CoreFn.Module Methods fmap :: (a -> b) -> Module a -> Module b # (<$) :: a -> Module b -> Module a #
Show a => Show (Module a) # |
Instance details Defined in Language.PureScript.CoreFn.Module Methods showsPrec :: Int -> Module a -> ShowS # show :: Module a -> String # showList :: [Module a] -> ShowS #